Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.intermediate
Interface IFDocumentHandlerConfigurator

All Known Implementing Classes:
  AFPRendererConfigurator, BitmapRendererConfigurator, PCLRendererConfigurator, PrintRendererConfigurator, PSRendererConfigurator

public interface IFDocumentHandlerConfigurator

This interface is implemented by classes that configure an `IFDocumentHandler` instance.

Method Summary
`void` | `configure(IFDocumentHandler documentHandler)` Configures a intermediate format document handler.
`void` | `setupFontInfo(IFDocumentHandler documentHandler, FontInfo fontInfo)` Sets up the `FontInfo` object for the IFDocumentHandler.

Method Detail

### configure

    public void configure(IFDocumentHandler documentHandler)
                   throws FOPException

  Configures a intermediate format document handler.

  Parameters:
    `documentHandler` - the document handler instance
  Throws:
    `FOPException` - if an error occurs while configuring the object

### setupFontInfo

    public void setupFontInfo(IFDocumentHandler documentHandler,
                              FontInfo fontInfo)
                       throws FOPException

  Sets up the `FontInfo` object for the IFDocumentHandler.

  Parameters:
    `documentHandler` - the document handler instance
    `fontInfo` - the font info object to set up
  Throws:
    `FOPException` - if an error occurs while configuring the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.